#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define OLED_RESET 4
Adafruit_SSD1306 display(OLED_RESET);
#define NUM_READS 100
void setup() {
 
 display.begin(SSD1306_SWITCHCAPVCC, 0x3C);  // initialize with the I2C addr 0x3C (for the 128x32)
 display.display();
 delay(2000);

 // Clear the buffer.
  display.clearDisplay();
  display.setTextSize(1);
  display.setCursor(0, 0);
  display.setTextColor(WHITE);

  pinMode(A0,INPUT);
}

void loop() {
  
  float val=analogRead(A0);
  float amp=val*0.015426; // this is the calibration factor
  display.setCursor(0, 0);
  display.print("Raw Value: ");
  display.println(val);
  display.setCursor(0, 15);
  display.print("Current: ");
  display.print(amp);
  display.println("Amps");
  display.display(); 
  delay(500);
  display.clearDisplay();
}
